#pragma once
struct Polar {
 public:
  float angle;
  float distance;

  Polar();
  Polar(float angle, float distance);

  const static Polar zero;

  Polar operator-();
  Polar operator-(const Polar& vector) const;
  Polar operator+(const Polar& vector2) const;
  Polar operator*(float factor) const;
  Polar operator/(const float& factor);

  static float Distance(const Polar& vector1, const Polar& vector2);
};